# Interface Type

All Known Subinterfaces:
  `GenericArrayType, ParameterizedType, TypeVariable<D>, WildcardType`

All Known Implementing Classes:
  `Class`

public interface Type
Type is the common superinterface for all types in the Java programming language. These include raw types, parameterized types, array types, type variables and primitive types.

See Java Language Specification:
  4.1 The Kinds of Types and Values
  4.2 Primitive Types and Values
  4.3 Reference Types and Values
  4.4 Type Variables
  4.5 Parameterized Types
  4.8 Raw Types
  4.9 Intersection Types
  10.1 Array Types
Since:
  1.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default String`
  `getTypeName()`
  Returns a string describing this type, including information about any type parameters.

- ## Method Details

  - ### getTypeName

    default String getTypeName()
    Returns a string describing this type, including information about any type parameters.
    Implementation Requirements:
      The default implementation calls `toString`.
    Returns:
      a string describing this type
    Since:
      1.8